# Variable ngOptionsDirective`Const`

ngOptionsDirective: (
| string
| (
(
$compile: CompileFn,
$parse: ParseService,
) => {
link: {
post: (
scope: Scope,
selectElement: HTMLSelectElement,
attr: any,
ctrls: any,
) => void;
pre: (scope: any, selectElement: any, attr: any, ctrls: any) => void;
};
require: string[];
restrict: string;
terminal: boolean;
}
)
)[] = ...

#### Type declaration

- string
- (
  $compile: CompileFn,
  $parse: ParseService,
  ) => {
  link: {
  post: (
  scope: Scope,
  selectElement: HTMLSelectElement,
  attr: any,
  ctrls: any,
  ) => void;
  pre: (scope: any, selectElement: any, attr: any, ctrls: any) => void;
  };
  require: string[];
  restrict: string;
  terminal: boolean;
  }
  - - (
      $compile: CompileFn,
      $parse: ParseService,
      ): {
      link: {
      post: (
      scope: Scope,
      selectElement: HTMLSelectElement,
      attr: any,
      ctrls: any,
      ) => void;
      pre: (scope: any, selectElement: any, attr: any, ctrls: any) => void;
      };
      require: string[];
      restrict: string;
      terminal: boolean;
      }

    - #### Parameters

      - $compile: CompileFn
      - $parse: ParseService

      #### Returns {
      link: {
      post: (
      scope: Scope,
      selectElement: HTMLSelectElement,
      attr: any,
      ctrls: any,
      ) => void;
      pre: (scope: any, selectElement: any, attr: any, ctrls: any) => void;
      };
      require: string[];
      restrict: string;
      terminal: boolean;
      }

- Defined in src/directive/options/options.js:27